{% extends 'profile/profile-layout.html.twig' %}

{% block pageTitle %}
    Mes annonces
    <a href="{{ url('create_advert') }}" class="btn btn-primary">Ajouter une annonce</a>
{% endblock pageTitle %}


{% block content %}
    <div class="list-group">
{#        <a href="#" class="list-group-item list-group-item-action active" aria-current="true">#}
{#            <div class="d-flex w-100 justify-content-between">#}
{#                <h5 class="mb-1">BMX 1985</h5>#}
{#                <small>3 days ago</small>#}
{#            </div>#}
{#            <p class="mb-1">Some placeholder content in a paragraph.</p>#}
{#            <small>And some small print.</small>#}
{#        </a>#}
{#        <a href="#" class="list-group-item list-group-item-action">#}
{#            <div class="d-flex w-100 justify-content-between">#}
{#                <h5 class="mb-1">Specialized EPIC 2021</h5>#}
{#                <small class="text-muted"> 2 days ago</small>#}
{#            </div>#}
{#            <p class="mb-1"> Lorem blabla.</p>#}
{#            <small class="text-muted">And some muted small print.</small>#}
{#        </a>#}
        {% for advert in adverts %}
        <a href="{{ url('update_advert', {'id': advert.id}) }}" class="list-group-item list-group-item-action">
            <div class="d-flex w-100 justify-content-between">
                <h5 class="mb-1">{{ advert.title }}</h5>
                <small class="text-muted">{{ advert.createdDate | date('Y-m-d') }}</small>
            </div>
            <p class="mb-1">{{ advert.description | slice(0, 50) }} ...</p>
{#            <small class="text-muted">And some muted small print.</small>#}
        </a>
        {% endfor %}
    </div>
{% endblock content %}
